Bug 55175 - Valid Users for shares not working with group names
Valid Users for shares not working with group names
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-26 12:56 EDT by Nitin Dahyabhai
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-26 12:57:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nitin Dahyabhai 2001-10-26 12:56:58 EDT
Description of problem:
Under Red Hat 7.0, I had a shared user home directory accessable by
members of the "users" group:
  valid users = @users
which no longer works under 7.2.  No one in that group
is allowed in unless listed by name.  I have tried using
"+users" as the group list is defined locally, but that
failed as well.

Version-Release number of selected component (if applicable):
samba-2.2.1a-4


How reproducible:
Always


Steps to Reproduce:
1. Create a test user account (I used "ivj").
2. Append this share definition to /etc/samba/smb.conf:
[ivj]
   path = /home/ivj
   valid users = @users
   browseable = yes
   public = no
   writable = yes
   printable = no
   create mask = 0755
   force user = ivj
   force group = ivj

3. Connect to that share using a user ID other than "ivj" from the
"users" group.


Actual Results:  Every attempt I make from my Windows NT and Windows 2000
machines fail until my userid is specifically listed (and this is the ONLY
change I make):
  valid users = ivj, nitin
Comment 1 Trond Eivind Glomsrxd 2001-10-31 12:14:40 EST
I tested both "@groupname" for NIS groups and "+groupname" for local groups, and
they work great. I even added "force user" and "force group", and it still works.

Note You need to log in before you can comment on or make changes to this bug.